LibreOffice: XTabController Interface Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XTabController Interface Referencepublished

specifies the basic operations for a tab controller. More...

`import "XTabController.idl";`

Inheritance diagram for XTabController:

## Public Member Functions
void | setModel ([in] com::sun::star::awt::XTabControllerModel Model)
| sets the tab controller model.
com::sun::star::awt::XTabControllerModel | getModel ()
| returns the tab controller model.
void | setContainer ([in] com::sun::star::awt::XControlContainer Container)
| set the control container.
com::sun::star::awt::XControlContainer | getContainer ()
| returns the control container.
sequence< com::sun::star::awt::XControl > | getControls ()
| returns all controls of the control container.
void | autoTabOrder ()
| enables automatic tab order.
void | activateTabOrder ()
| activates tab order.
void | activateFirst ()
| sets the focus to the first control that can be reached with the TAB key.
void | activateLast ()
| sets the focus to the last control that can be reached with the TAB key.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies the basic operations for a tab controller.

## Member Function Documentation

## ◆ activateFirst()

void activateFirst | ( |  | ) |

sets the focus to the first control that can be reached with the TAB key.

## ◆ activateLast()

void activateLast | ( |  | ) |

sets the focus to the last control that can be reached with the TAB key.

## ◆ activateTabOrder()

void activateTabOrder | ( |  | ) |

activates tab order.

## ◆ autoTabOrder()

void autoTabOrder | ( |  | ) |

enables automatic tab order.

## ◆ getContainer()

com::sun::star::awt::XControlContainer getContainer | ( |  | ) |

returns the control container.

## ◆ getControls()

sequence< com::sun::star::awt::XControl > getControls | ( |  | ) |

returns all controls of the control container.

## ◆ getModel()

com::sun::star::awt::XTabControllerModel getModel | ( |  | ) |

returns the tab controller model.

## ◆ setContainer()

void setContainer | ( | [in] com::sun::star::awt::XControlContainer | Container | ) |

set the control container.

## ◆ setModel()

void setModel | ( | [in] com::sun::star::awt::XTabControllerModel | Model | ) |

sets the tab controller model.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTabController.idl